Package org.apache.groovy.parser.antlr4

# Interface SyntaxErrorReportable

All Known Implementing Classes:
  `AbstractLexer`, `AbstractParser`, `GroovyLangLexer`, `GroovyLangParser`, `GroovyLexer`, `GroovyParser`

    public interface SyntaxErrorReportable

A SyntaxErrorReportable is a recognizer that can report syntax error

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static Tuple2<java.lang.Integer,​java.lang.Integer>` | `NO_OFFSET` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default PositionInfo` | `genPositionInfo​(int offset)` |
  `default PositionInfo` | `genPositionInfo​(Tuple2<java.lang.Integer,​java.lang.Integer> offset)` |
  `int` | `getErrorColumn()` |
  `int` | `getErrorLine()` |
  `int` | `getSyntaxErrorSource()` |
  `default void` | `require​(boolean condition, java.lang.String msg)` |
  `default void` | `require​(boolean condition, java.lang.String msg, boolean toAttachPositionInfo)` |
  `default void` | `require​(boolean condition, java.lang.String msg, int offset)` |
  `default void` | `require​(boolean condition, java.lang.String msg, int offset, boolean toAttachPositionInfo)` |
  `default void` | `require​(boolean condition, java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset)` |
  `default void` | `require​(boolean condition, java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset, boolean toAttachPositionInfo)` |
  `default void` | `throwSyntaxError​(java.lang.String msg, int offset, boolean toAttachPositionInfo)` |
  `default void` | `throwSyntaxError​(java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset, boolean toAttachPositionInfo)` |

- ## Field Details

  - ### NO_OFFSET

    static final Tuple2<java.lang.Integer,​java.lang.Integer> NO_OFFSET

- ## Method Details

  - ### require

    default void require​(boolean condition, java.lang.String msg, int offset, boolean toAttachPositionInfo)

  - ### require

    default void require​(boolean condition, java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset, boolean toAttachPositionInfo)

  - ### require

    default void require​(boolean condition, java.lang.String msg, boolean toAttachPositionInfo)

  - ### require

    default void require​(boolean condition, java.lang.String msg, int offset)

  - ### require

    default void require​(boolean condition, java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset)

  - ### require

    default void require​(boolean condition, java.lang.String msg)

  - ### throwSyntaxError

    default void throwSyntaxError​(java.lang.String msg, int offset, boolean toAttachPositionInfo)

  - ### throwSyntaxError

    default void throwSyntaxError​(java.lang.String msg, Tuple2<java.lang.Integer,​java.lang.Integer> offset, boolean toAttachPositionInfo)

  - ### getSyntaxErrorSource

    int getSyntaxErrorSource()

  - ### genPositionInfo

    default PositionInfo genPositionInfo​(int offset)

  - ### genPositionInfo

    default PositionInfo genPositionInfo​(Tuple2<java.lang.Integer,​java.lang.Integer> offset)

  - ### getErrorLine

    int getErrorLine()

  - ### getErrorColumn

    int getErrorColumn()